Mailinglist Archive: opensuse-updates (102 mails)

< Previous Next >
openSUSE-SU-2014:0358-1: moderate: libpng16: fixed endless loop in png reader
openSUSE Security Update: libpng16: fixed endless loop in png reader
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:0358-1
Rating: moderate
References: #866298
Cross-References: CVE-2014-0333
Affected Products:
openSUSE 13.1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:


libpng16 was updated to fix a endless loop denial of
service in the png reader code. (CVE-2014-0333 [bnc#866298])


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.1:

zypper in -t patch openSUSE-2014-201

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.1 (i586 x86_64):

libpng16-16-1.6.6-12.1
libpng16-16-debuginfo-1.6.6-12.1
libpng16-compat-devel-1.6.6-12.1
libpng16-debugsource-1.6.6-12.1
libpng16-devel-1.6.6-12.1
libpng16-tools-1.6.6-12.1
libpng16-tools-debuginfo-1.6.6-12.1

- openSUSE 13.1 (x86_64):

libpng16-16-32bit-1.6.6-12.1
libpng16-16-debuginfo-32bit-1.6.6-12.1
libpng16-compat-devel-32bit-1.6.6-12.1
libpng16-devel-32bit-1.6.6-12.1


References:

http://support.novell.com/security/cve/CVE-2014-0333.html
https://bugzilla.novell.com/866298


< Previous Next >
This Thread
  • No further messages